# Tietosuoja ja Henkilotietorekisteri

!!! TODO
	Otsikossa aeoekkonen

Fi-verkkotunnusvälittäjät keräävät ja käsittelevät fi-verkkotunnusten
käyttäjien henkilötietoja fi-verkkotunnusten rekisteröimiseksi. Välittäjät
merkitsevät tiedot Liikenne- ja viestintävirasto Traficomin (Traficom)
fi-verkkotunnusrekisteriin ja ylläpitävät tietoja mm. tunnuksen käyttäjän
yhteystietoja päivittäessään.

Henkilötietojen käsittelystä säädetään EU:n yleisessä tietosuoja-asetuksessa
(679/2016) ja tietosuojalaissa (1050/2018). Välittäjät sitoutuvat noudattamaan
EU:n tietosuoja-asetuksessa, tietosuojalaissa, sähköisen viestinnän palveluista
annetussa laissa (917/2014) ja verkkotunnusmääräyksessä (68/2016 M) välittäjälle
säädettyjä velvoitteita ilmoittautuessaan Traficomille
fi-verkkotunnusvälittäjäksi. Verkkotunnusmääräyksen perustelut ja soveltaminen
-dokumentti tarkentaa konkreettisemmin, miten verkkotunnusmääräystä tulee
soveltaa käytännössä.

Laki sähköisen viestinnän palveluista sekä verkkotunnusmääräys 68 ovat
välittäjän EU:n yleisen tietosuoja-asetuksen mukainen oikeudellinen peruste
käsitellä fi-verkkotunnusten käyttäjien henkilötietoja fi-verkkotunnusten
rekisteröimiseksi ja hallinnoimiseksi eli välitystoiminnan harjoittamiseksi.

Fi-verkkotunnusvälittäjät tallettavat tiedot fi-verkkotunnusrekisteriin
sähköisen viestinnän palveluista annetun lain 164 §:n 2 momentin, 165 §:n,
167 §:n, 168 §:n ja 170 §:n mukaisesti.

Fi-verkkotunnusvälittäjä toimii tietosuoja-asetuksen mukaisena itsenäisenä
rekisterinpitäjänä niiden fi-verkkotunnusten käyttäjien henkilötietojen osalta,
joita käsittelee välitystoiminnassaan. Näin ollen, fi-verkkotunnusvälittäjä on
rekisterinpitäjänä vastuussa fi-verkkotunnusten käyttäjien eli rekisteröityjen
henkilötietojen käsittelystä EU:n yleisen tietosuoja-asetuksen velvoitteiden
mukaisesti.

Fi-verkkotunnusvälittäjän on itsenäisenä rekisterinpitäjänä pystyttävä
osoittamaan noudattavansa tietosuojalainsäädäntöä. Fi-verkkotunnusvälittäjä on
velvollinen laatimaan ja julkaisemaan selosteen siitä, kuinka välittäjä
käsittelee fi-verkkotunnusten käyttäjien henkilötietoja.

Fi-verkkotunnusvälittäjän on annettava fi-verkkotunnuksen käyttäjälle kaikki
henkilötietojen käsittelyä koskevat tiedot tiiviissä, läpinäkyvässä, helposti
ymmärrettävässä ja selkeässä muodossa. Fi-verkkotunnusten käyttäjille on
kerrottava muun muassa kuka rekisterinpitäjä on, mitä tarkoitusta varten
rekisteröidyn henkilötietoja tarvitaan, kuinka kauan henkilötietoja tarvitaan,
luovutetaanko henkilötietoja eteenpäin tai siirretäänkö niitä ETA-maiden
ulkopuolelle, miten fi-verkkotunnuksen käyttäjä voi käyttää henkilötietoihin
liittyviä oikeuksiaan ja rekisteröidyn oikeuksiin ja vapauksiin kohdistuvista
riskeistä.

Fi-verkkotunnusvälittäjän on itsenäisenä rekisterinpitäjänä toteutettava myös
asianmukaiset toimenpiteet fi-verkkotunnusten käyttäjien eli rekisteröityjen
tietosuojaoikeuksien toteuttamiseksi. Välittäjän on myös helpotettava
rekisteröidyn oikeuksien käyttämistä.

Fi-verkkotunnusvälittäjän on arvioitava yleisesti fi-verkkotunnusten käyttäjien
henkilötietojen käsittelyn aiheuttamat riskit ja toimenpiteet ja nimettävä
tietosuojavastaava. Fi-verkkotunnusvälittäjän on käsiteltävä henkilötietojen
tietoturvaloukkaukset ja ilmoitettava niistä tietosuojavaltuutetulle ja
tapauksesta riippuen rekisteröidyille EU:n yleisen tietosuoja-asetuksen mukaisesti.

Huom! EU/ETA-alueen ulkopuolella sijaitsevat fi-verkkotunnusvälittäjät eivät voi
rekisteröidä fi-verkkotunnuksia yksityishenkilöille. Rajaus koskee niitä
välittäjiä, joiden sijaintivaltiolla ei ole EU:n kanssa erikseen solmittua
voimassa olevaa tiedonsiirtojärjestelyä. Rajaus koskee myös niitä Yhdysvalloissa
sijaitsevia välittäjiä, jotka eivät ole erikseen sertifioituneet noudattamaan
tietosuojajärjestelyä.

Fi-verkkotunnusvälittäjän tulee huolehtia asianmukaisista ja riittävistä
tiedonsiirtomekanismeista, jos se siirtää henkilötietoja ETA-alueen
ulkopuolelle.

Mikäli fi-verkkotunnusvälittäjä käyttää toiminnassaan jälleenmyyjiä tai muita
palveluntarjoajia, sen on merkittävä jälleenmyyjää koskevat tiedot
fi-verkkotunnusrekisteriin ja pidettävä ne ajantasaisina. Jälleenmyyjät toimivat
henkilötietojen käsittelijöinä välittäjän puolesta ja lukuun. Välittäjä vastaa
siitä, että sen jälleenmyyjät sitoutuvat ja vastaavat EU:n yleisen
tietosuoja-asetuksen artiklan 28 mukaisista käsittelijän velvollisuuksista
henkilötietojen käsittelijöinä. Fi-verkkotunnusvälittäjän tulee tehdä
jälleenmyyjiensä kanssa asianmukaiset sopimukset ja antaa jälleenmyyjille
yksityiskohtaiset ohjeet henkilötietojen käsittelystä. Välittäjä vastaa
täysimääräisesti alihankkijoidensa, käyttämiensä muiden palveluntarjoajien tai
jälleenmyyjien, velvoitteiden suorittamisesta Traficomiin nähden.

Traficomin lakisääteisenä tehtävänä on hallinnoida fi-maatunnusta ja ylläpitää
fi-verkkotunnusrekisteriä. Traficom toimii itsenäisenä rekisterinpitäjänä koko
fi-verkkotunnusrekisterin tietosisällön osalta ja vastaa
fi-verkkotunnusrekisterin tietovarantokokonaisuudesta.

Tietosuojavaltuutetun toimisto on kansallinen valvontaviranomainen, joka valvoo
tietosuojalainsäädännön noudattamista Suomessa (tietosuoja.fi).

## Fi-verkkotunnusrekisteriin ilmoitettavat ja välitystoiminnassa käsiteltävät henkilötiedot

Välittäjän tulee lain perusteella ilmoittaa fi-verkkotunnuksen käyttäjästä
fi-verkkotunnusrekisteriin seuraavat henkilötiedot, joiden ajantasaisina
pitäminen on välittäjän vastuulla:

- Nimi
- Henkilötunnus / muu yksilöivä tunnus
- Postiosoite
- Puhelinnumero
- Yhteyshenkilö ja yhteyshenkilön puhelinnumero (oikeushenkilöiltä)
- Sähköpostiosoite (prosessiosoite)

Myös yhteisöille rekisteröityjen verkkotunnusten rekisteriin ilmoitettavat
käyttäjätiedot voivat sisältää henkilötietoja.

## Henkilötietojen käsittelyn tarkoitus ja kesto

Fi-verkkotunnusten välittäminen on toimintaa, jolla tarkoitetaan
fi-verkkotunnusten rekisteröintimerkintöjen tekemistä fi-verkkotunnusrekisteriin
ja näiden tietojen hallinnointia, kuten päivittämistä. Merkintöjä
fi-verkkotunnusrekisteriin voi tehdä vain verkkotunnusvälitysilmoituksen
Traficomille tehnyt toiminnan harjoittaja eli fi-verkkotunnusvälittäjä.

Fi-verkkotunnus on merkittävä käyttäjän nimiin ja verkkotunnusvälittäjän on
merkittävä fi-verkkotunnusrekisteriin verkkotunnuksen käyttäjää koskevat oikeat,
ajantasaiset ja yksilöivät tiedot sekä kuulemisiin ja tiedoksiantoihin
käytettävä sähköpostiosoite.

Välittäjän velvollisuutena on pitää tiedot oikeina ja ajan tasalla.

Verkkotunnusvälitystoimintaan kuuluvat kaikki ne toimenpiteet, joita
verkkotunnusvälittäjä tekee ylläpitääkseen verkkotunnusrekisteriin merkityn
verkkotunnuksen tietoja. Hallinnointia on mm. verkkotunnuksen yhteystietojen
päivittäminen, verkkotunnuksen voimassaolon uusiminen, verkkotunnuksen
siirtäminen käyttäjältä toiselle ja verkkotunnusvälittäjän vaihtaminen.

Välitystoimintaan kuuluu myös ilmoitus- ja neuvontavelvollisuuden hoitaminen.

Mikäli verkkotunnusvälittäjä liittää verkkotunnukselle nimipalvelimet, on
välittäjä vastuussa siitä, että nimipalvelimet toimivat verkkotunnusmääräyksen
mukaisesti.

Verkkotunnuksen hallinnointi tarkoittaa myös kykyä merkitä tietoja
verkkotunnusrekisteriin Traficomin määrittelemällä teknisellä järjestelyllä sekä
kykyä huolehtia toimintansa tietoturvasta.

Mikäli välittäjä tarjoaa fi-verkkotunnuksen käyttäjälle muita kuin
fi-verkkotunnusvälitystoiminnalle lain perustella säädettyjä palveluita (esim.
kotisivu- tai sähköpostipalveluita, palvelintilaa, tms.) ja välittäjät
käsittelevät fi-verkkotunnuksen käyttäjän henkilötietoja muiden palvelujen
tarjoamista varten, on välittäjällä oltava henkilötietojen käsittelylle jokin
muu EU:n tietosuoja-asetuksen mukainen käsittelyperuste.

Fi-verkkotunnusvälittäjä saa käsitellä fi-verkkotunnusrekisteriin merkitsemiään
ja rekisterissä ylläpitämiään henkilötietoja vain sen ajan, kun fi-verkkotunnus
on kyseisen välittäjän ylläpidossa ja/tai verkkotunnus on voimassa
suoja-aikoineen. Fi-verkkotunnusvälittäjä on vastuussa siitä, että se poistaa
fi-verkkotunnusten käyttäjien henkilötiedot omista järjestelmistään sen jälkeen,
kun tietojen käsittelyperuste eli tunnuksen välitystoiminta päättyy.

## Fi-verkkotunnuksen käyttäjän eli rekisteröidyn oikeudet

Fi-verkkotunnusvälittäjä on vastuussa siitä, että fi-verkkotunnuksen käyttäjän
EU:n yleisen tietosuoja-asetuksen mukaiset oikeudet toteutuvat.

Fi-verkkotunnuksen käyttäjän oikeutena on:

1. tietää, mitkä tahot käyttävät hänen henkilötietojaan

Fi-verkkotunnuksen käyttäjän henkilötietoja käsittelee fi-verkkotunnusvälittäjät
ja Traficom.

Verkkotunnusvälittäjät saattavat käyttää toiminnassaan alihankkijoita
(jälleenmyyjiä), joiden toiminnasta välittäjät vastaavat itse täysimääräisesti.

2. tietää, mihin tarkoitukseen hänen tietojaan käytetään

Fi-verkkotunnuksen käyttäjän henkilötietoja käytetään verkkotunnuksen
rekisteröimiseen ja ylläpitoon sekä fi-verkkotunnusriitojen ratkaisuun.

Fi-verkkotunnusvälittäjät rekisteröivät ja ylläpitävät verkkotunnuksia. Traficom
ylläpitää fi-verkkotunnusrekisteriä ja ratkaisee fi-verkkotunnusriidat
oikeudenhaltijoiden vaatimuksesta.

3. saada pääsy omiin tietoihin

Fi-verkkotunnusvälittäjän ja Traficomin tulee antaa fi-verkkotunnuksen
käyttäjälle vahvistus siitä, että häntä koskevia henkilötietoja käsitellään tai
niitä ei käsitellä. Jos tietoja käsitellään, fi-verkkotunnuksen käyttäjällä on
oikeus saada pääsy omiin henkilötietoihinsa.

4. tarkastaa ja oikaista virheelliset tietonsa

Fi-verkkotunnuksen käyttäjällä on oikeus tehdä omien tietojen tarkastuspyyntö
sekä fi-verkkotunnusvälittäjälle että Liikenne- ja viestintävirastolle.
Fi-verkkotunnusvälittäjän tulee oikaista fi-verkkotunnuksen käyttäjää koskevat
epätarkat ja virheelliset henkilötiedot.

5. rajoittaa henkilötietojen käsittelyä

Fi-verkkotunnuksen käyttäjä voi osoittaa pyynnön fi-verkkotunnusvälittäjälle ja
Traficomille henkilötietojensa käsittelyn rajoittamiseksi yleisen
tietosuoja-asetuksen 18 artiklan mukaisissa tilanteissa.

6. tehdä valitus valvontaviranomaiselle

Fi-verkkotunnuksen käyttäjällä on oikeus saattaa asia tietosuojavaltuutetun
käsiteltäväksi katsoessaan, että häntä koskevien henkilötietojen käsittelyssä
rikotaan sitä koskevaa lainsäädäntöä. Oikeus ei rajoita muita hallinnollisia
muutoksenhakukeinoja tai oikeussuojakeinoja.
