# Autostarting apps

!!! note
    My modified [Makefile](https://git.jakest.us/suckless/dwm/src/branch/jakefication/Makefile)
    installs this file automagically.
    Steps below should not be necessary.

If using a display manager make the session execute a script
(refer to [xsession](xsession.md)).
Same could be done with `startx` and `~/.xinitrc`.
My modified version provides my autostarting script
and installs it as `/usr/local/bin/startdwm`

The script could look something like

``` sh title="/usr/local/bin/startdwm"
#!/bin/sh
slstatus &
pasystray &
nm-applet &
exec dwm
```

You might also like the
[systray patch](https://dwm.suckless.org/patches/systray/)
as it just makes sense.
